#==============================================================================
#                                 Config.mk
#------------------------------------------------------------------------------
# Configuration file for Tcl sipp.  Edit the following variables to specify
# the location of required packages and other attribbutes.   
#
# IMPORTANT NOTE:
#     All paths to include files must include the -I options.  All paths 
# should either be absoulte or relative to the src directory below the
# directory containing this file.
#------------------------------------------------------------------------------

#------------------------------------------------------------------------------
# Compiler options (-g, -O)
#
#CCOPT=-g
CCOPT=-O


#------------------------------------------------------------------------------
# Stripping - Set to the command `stip' to strip, `true' to not strip.
#
#STRIP=true
STRIP=strip

#------------------------------------------------------------------------------
# Other libraries that might be needed (-lm almost always is).
#
LDFLAGS=-lm -lmalloc -lPW -lc_s

#------------------------------------------------------------------------------
# Alloca flag as specified in the SIPP Makefile.
#ALLOCA = -DHAVE_NO_ALLOCA
ALLOCA = -DHAVE_NO_ALLOCA_H

#------------------------------------------------------------------------------
# Location of your standard include files.  This is needed because the Tcl
# source directory has its own copy of files like string.h.
#
STDINCL=-I/usr/include

#------------------------------------------------------------------------------
# Location of your Tcl include files (tcl.h and tclInt.h).
#
TCLINCL=-I/usr/local/include

#------------------------------------------------------------------------------
# Location of your Extended Tcl (TclX) include file (tclExtend.h) and the path
# to your Extended Tcl library (includes Tcl library).
#
TCLXINCL=-I/usr/local/include
TCLXLIB=/usr/local/lib/libtcl.a

#------------------------------------------------------------------------------
# Location of your SIPP include files and library.
#
SIPPINCL=-I../../sipp-3.0/libsipp
SIPPLIB=../../sipp-3.0/libsipp/libsipp.a

#------------------------------------------------------------------------------
# Location of your Utah Raster Toolkit (URT include files and library).  If you
# do not have the URT, don't define URTINCL and URTLIB, instead define URTDEF
# as -DTSIPP_NO_RLE
#
#URTDEF=-DTSIPP_NO_RLE
URTINCL=-I/u/markd/graphics/include
URTLIB=/u/markd/graphics/lib/librle.a


#------------------------------------------------------------------------------
# Arguments to use in when generating the demo pictures.  The following
# arguments may be specified for this flag:
#
#     o -mode rmode - The rendering mode.  The value of rmode is one of PHONG,
#        GOURAUD, FLAG or LINE.  Default is PHONG.
#     o -oversample factor - The oversampling factor.  The default is 2 for
#        most images, a couple are 3.  You might want to set this to 1 to speed
#        up the rendering.
#     o -size isize - The size of the image to render.  The result will be an
#        image isize X isize pixels.  The default is 256 pixels.
#     o -ppm - Force PPM (or PBM for LINE mode) format images to be rendered.
#        The default is to render RLE images if Tcl-SIPP was built with the 
#        Utah Raster Toolkit RLE library and a PPM images if RLE is not
#        available.
#        
DEMOARGS=
